﻿$ErrorActionPreference = 'Stop';

$PackageName  = $env:ChocolateyPackageName
$App = $PackageName.Split(".")[0]
$InstallDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$PackageArgs = @{
  PackageName   = $PackageName
  UnzipLocation = $InstallDir
  FileType      = 'exe'
  Url           = "https://github.com/chylex/TweetDuck/releases/download/1.9/TweetDuck.exe"

  SoftwareName  = 'tweetduck*'

  Checksum      = "a412a92fb3c47f91ff700d5e1e8be7bc21f664fac1a40514a5e4472bf77ef6adfb4cd4e804d5a0f3d1f1fb5d96511722f789f2aa9c0c75adc0c7a24ab4bd956e"
  ChecksumType  = 'sha512'
  
  SilentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
  ValidExitCodes= @(0)
}

Install-ChocolateyPackage @PackageArgs
$InstallLocation = Get-AppInstallLocation "$PackageName*"

Write-Host "$PackageName registered as $App"